package com.base.sweetdialog;

import android.content.Context;

import cn.pedant.SweetAlert.SweetAlertDialog;

/**
 *
 */

public class SweetDialogUtil {
    public static SweetAlertDialog getSweetDialog(Context context, int type) {
        return new SweetAlertDialog(context, type);
    }

    public static SweetAlertDialog getWarningDialog(Context context) {
        return getSweetDialog(context, SweetAlertDialog.WARNING_TYPE);
    }

    public static SweetAlertDialog getSuccessDialog(Context context) {
        return getSweetDialog(context, SweetAlertDialog.SUCCESS_TYPE);
    }

    public static SweetAlertDialog getErrorDialog(Context context) {
        return getSweetDialog(context, SweetAlertDialog.ERROR_TYPE);
    }

    public static SweetAlertDialog getNormalDialog(Context context) {
        return getSweetDialog(context, SweetAlertDialog.NORMAL_TYPE);
    }

    public static SweetAlertDialog getProgressDialog(Context context) {
        return getSweetDialog(context, SweetAlertDialog.PROGRESS_TYPE);
    }
}
